Configuration Settings and Permissions

In this board you can talk about general questions about phpMyFAQ

Moderator: Thorsten

raffman
Posts: 15
Joined: Fri Nov 11, 2005 7:06 pm

Post by raffman » Mon Nov 14, 2005 2:59 pm


Thorsten
Posts: 14974
Joined: Tue Sep 25, 2001 11:14 am
Location: #phpmyfaq
Contact:

Post by Thorsten » Mon Nov 14, 2005 3:01 pm

Hi,

can I get access to your admin section?

bye
Thorsten
phpMyFAQ Maintainer and Lead Developer
amazon.de Wishlist

raffman
Posts: 15
Joined: Fri Nov 11, 2005 7:06 pm

Post by raffman » Mon Nov 14, 2005 6:21 pm

Sure, here is the info you need...

http://www.fair-debt-collection.com/phpMyFAQ/admin/

edited by Thorsten: I removed the login!

Thorsten
Posts: 14974
Joined: Tue Sep 25, 2001 11:14 am
Location: #phpmyfaq
Contact:

Post by Thorsten » Mon Nov 14, 2005 6:29 pm

Hi,

you updated from 1.3.x to 1.5.x? You should run update.php and everything's fine!

bye
Thorsten
phpMyFAQ Maintainer and Lead Developer
amazon.de Wishlist

raffman
Posts: 15
Joined: Fri Nov 11, 2005 7:06 pm

Post by raffman » Mon Nov 14, 2005 7:01 pm

Where do I find the update.php and how do I run it?

Thorsten
Posts: 14974
Joined: Tue Sep 25, 2001 11:14 am
Location: #phpmyfaq
Contact:

Post by Thorsten » Mon Nov 14, 2005 7:03 pm

Hi,

it's described in the documentation.

bye
Thorsten
phpMyFAQ Maintainer and Lead Developer
amazon.de Wishlist

raffman
Posts: 15
Joined: Fri Nov 11, 2005 7:06 pm

Post by raffman » Mon Nov 14, 2005 7:50 pm

I looked through every folder and there is not update.php!

However, I downloaded the 1.5.3. version onto my coupmete and sure enough, the update.php file is there under the /install folder.

So, it appears that when I installed this program using MeWeb Host's service, the /install folder was left out.

I'm thinking I could reinstall the program, 1.5.2 and then, download the files from your site, and then upload the .2 /install folder so I would be able to run the update.php.

Do you think my plan will work?

Thorsten
Posts: 14974
Joined: Tue Sep 25, 2001 11:14 am
Location: #phpmyfaq
Contact:

Post by Thorsten » Mon Nov 14, 2005 7:52 pm

Hi,

I think you should install 1.5.3 from the scratch from phpmyfaq.de :-)

Or wait until friday for 1.5.4!

bye
Thorsten
phpMyFAQ Maintainer and Lead Developer
amazon.de Wishlist

raffman
Posts: 15
Joined: Fri Nov 11, 2005 7:06 pm

Post by raffman » Mon Nov 14, 2005 8:08 pm

My plan failed!

I tried to run the update but it returned three errors on files that do not exist:

data.php.bak

config.php.bak


Any ideas?

Thorsten
Posts: 14974
Joined: Tue Sep 25, 2001 11:14 am
Location: #phpmyfaq
Contact:

Post by Thorsten » Mon Nov 14, 2005 8:10 pm

Hi,

both files will be created by the update script. You really should try a fresh install!

bye
Thorsten
phpMyFAQ Maintainer and Lead Developer
amazon.de Wishlist

raffman
Posts: 15
Joined: Fri Nov 11, 2005 7:06 pm

Post by raffman » Mon Nov 14, 2005 8:38 pm

I reinstalled the program and set the permissions for the /inc config.php and data.php to 777. This allows me to update the name of the FAQ and visitors can submit questions however, it returns the following errors when a question is submitted....

Warning: Wrong parameter count for str_replace() in /home/fairdebt/public_html/phpMyFAQ/savequestion.php on line 56

Warning: Wrong parameter count for str_replace() in /home/fairdebt/public_html/phpMyFAQ/savequestion.php on line 57

I can add categories and they appear to the user but, entries do not appear! The homepage shows number of records online but they don't appear when I go to the category?

It's got to be a simple permission thing, since the rest of the program works fine.

Any suggestions?

Thorsten
Posts: 14974
Joined: Tue Sep 25, 2001 11:14 am
Location: #phpmyfaq
Contact:

Post by Thorsten » Mon Nov 14, 2005 8:45 pm

Hi,

ah... this is a known problem in 1.5.3. Please update your version with the current stable snapshot available from phpmyfaq.de. Sorry for forgetting the hint!!!

bye
Thorsten
phpMyFAQ Maintainer and Lead Developer
amazon.de Wishlist

raffman
Posts: 15
Joined: Fri Nov 11, 2005 7:06 pm

Post by raffman » Mon Nov 14, 2005 10:21 pm

I am sorry I was not clear in my communication. I am still using 1.5.2 because I can only install the version that me host provides.

At this point I'm ready to give up! I've been wrestling with this for three days now and I'm no further ahead than I was when I started.

Thank you for trying to help me.

Thorsten
Posts: 14974
Joined: Tue Sep 25, 2001 11:14 am
Location: #phpmyfaq
Contact:

Post by Thorsten » Tue Nov 15, 2005 8:07 am

Hi,

your host is providing a broken phpMyFAQ. That's really sad because that's not my fault. Is it not possible to install a clean and fresh phpMyFAQ from our homepage?

bye
Thorsten
phpMyFAQ Maintainer and Lead Developer
amazon.de Wishlist

raffman
Posts: 15
Joined: Fri Nov 11, 2005 7:06 pm

Post by raffman » Wed Nov 16, 2005 1:41 am

I tried to install the 1.5.3 version. I followed all the instructions but could get the program to connect to the database. It kept telling me it could not make the connection.

I assume it was something I was missing but I could not figure it out.

Post Reply